@extends ('layouts.patient')

@section('inner-content')
    <?php $patient = $patient; ?>
    <h1>Here is the story of all the notes, bills, and claims for this patient.</h1>
    <h2>HCP notes signed: {{$hcpSignedNotesCount}}</h2>
    <h2>All Notes:</h2>
    <table class="table table-bordered table-striped table-condensed">
        <thead>
        <tr>
            <th>HCP</th>
            <th>Date</th>
            <th>Day in Program</th>
            <th>Day in MCP Program</th>
            <th>Days Since Last Note by HCP</th>
            <th>Signed By HCP?</th>
            <th>Content</th>
            <th></th>
        </tr>
        </thead>
        <tbody>
        <?php
            $firstDateEverSeenByAnyone = null;
            $firstDateEverSeenByMcpTypePro = null;
            $firstDateEverSeenByCurrentMcp = null;
            $loopLastDateSeenByMcpTypePro = null;
            $loopLastDateSeenByHcpMap = [];
            foreach($patient->notesAscending as $note){
                $d = $note->effective_dateest;
                $firstDateEverSeenByAnyone = $firstDateEverSeenByAnyone ? $firstDateEverSeenByAnyone : $d;
                if($note->hcpPro->is_mcp){
                    $firstDateEverSeenByMcpTypePro = $firstDateEverSeenByMcpTypePro ? $firstDateEverSeenByMcpTypePro : $d;
                    if($note->hcpPro->id == $patient->mcp_pro_id){
                        $firstDateEverSeenByCurrentMcp = $firstDateEverSeenByCurrentMcp;
                    }
                }
                $dayInProgram = (strtotime($d) - strtotime($firstDateEverSeenByAnyone)) / (60 * 60 * 24);
                $dayInMcpProgram = null;
                if($firstDateEverSeenByMcpTypePro){
                    $dayInMcpProgram = (strtotime($d) - strtotime($firstDateEverSeenByMcpTypePro)) / (60 * 60 * 24);
                }
                $daysSinceLastMcpTypeVisit = null;
                if($note->hcpPro->is_mcp){
                    $daysSinceLastMcpTypeVisit = (strtotime($d) - strtotime($loopLastDateSeenByMcpTypePro)) / (60 * 60 * 24);
                }
                $lastVisitWithHcp = isset($loopLastDateSeenByHcpMap[$note->hcp_pro_id]) ? $loopLastDateSeenByHcpMap[$note->hcp_pro_id] : null;
                $daysSinceLastHcpVisit = null;
                if($lastVisitWithHcp){
                    $daysSinceLastHcpVisit = (strtotime($d) - strtotime($lastVisitWithHcp)) / (60 * 60 * 24);
                }
                ?>
        <tr>
            <td>
                {{ $note->hcpPro->displayName }}
            </td>
            <td>
                {{ $d }}
            </td>
            <td>
                {{ $dayInProgram }}
            </td>
            <td>
                {{ $dayInMcpProgram }}
            </td>
            <td>
                {{$daysSinceLastHcpVisit}}
            </td>
            <td>
                {{ $note->is_signed_by_hcp }}
            </td>
            <td>
                CONTENT WILL GO HERE
            </td>
            <td></td>
        </tr>
        <?php
                $loopLastDateSeenByHcpMap[$note->hcpPro->id] = $d;
                if($note->hcpPro->is_mcp){
                    $loopLastDateSeenByMcpTypePro = $d;
                }
            }
        ?>

        </tbody>
    </table>
@endsection
